<script>
    import data from '../data/homepage.json';
</script>

<section class="py-24 pb-24">
    <div class="container">
        <div class="font-display text-jacarta-700 mb-2 text-left text-3xl dark:text-whit">
            <h2 class="inline">Featured NFTs</h2>
            <div class="dropdown inline cursor-pointer">
                <button
                    class="dropdown-toggle text-accent inline-flex items-center"
                    type="button"
                    id="collectionSort"
                    data-bs-toggle="dropdown"
                    aria-expanded="false"
                >
                    over last 7 days
                    <svg
                        xmlns="http://www.w3.org/2000/svg"
                        viewBox="0 0 24 24"
                        width="24"
                        height="24"
                        class="fill-accent h-8 w-8"
                    >
                        <path fill="none" d="M0 0h24v24H0z" />
                        <path d="M12 13.172l4.95-4.95 1.414 1.414L12 16 5.636 9.636 7.05 8.222z" />
                    </svg>
                </button>
                <div
                    class="dropdown-menu dark:bg-jacarta-800 z-10 hidden min-w-[200px] whitespace-nowrap rounded-xl bg-white py-4 px-2 text-left shadow-xl"
                    aria-labelledby="collectionSort"
                >
                    <a
                        class="dropdown-item dark:hover:bg-jacarta-600 hover:bg-jacarta-50 block rounded-xl px-5 py-2 text-sm transition-colors"
                        href="/#">Last 24 Hours</a
                    >
                    <a
                        class="dropdown-item dark:hover:bg-jacarta-600 hover:bg-jacarta-50 block rounded-xl px-5 py-2 text-sm transition-colors"
                        href="/#">Last 7 Days</a
                    >
                    <a
                        class="dropdown-item dark:hover:bg-jacarta-600 hover:bg-jacarta-50 block rounded-xl px-5 py-2 text-sm transition-colors"
                        href="/#">Last 30 Days</a
                    >
                </div>
            </div>
        </div>

        <div class="relative">
            <!-- Slider -->
            <div class="swiper my-swiper card-slider-3-columns !py-5">
                <div class="swiper-wrapper gap-4">
                    <!-- Slides -->
                    {#each data.featured as feature}
                        <div class="swiper-slide">
                            <article>
                                <div
                                    class="dark:bg-jacarta-700 dark:border-jacarta-700 border-jacarta-100 block rounded-[1.25rem] border bg-white p-[1.1875rem] transition-shadow hover:shadow-lg"
                                >
                                    <figure>
                                        <a href={feature.url}>
                                            <img
                                                src="/img/products/item_1.jpg"
                                                alt="item 1"
                                                width="230"
                                                height="230"
                                                class="w-full rounded-[0.625rem]"
                                                loading="lazy"
                                            />
                                        </a>
                                    </figure>
                                    <div class="mt-4 flex items-center justify-between">
                                        <a href={feature.url}>
                                            <span
                                                class="font-display text-jacarta-700 hover:text-accent text-base dark:text-white"
                                                >{feature.name}</span
                                            >
                                        </a>
                                        <span
                                            class="dark:border-jacarta-600 border-jacarta-100 flex items-center whitespace-nowrap rounded-md border py-1 px-2"
                                        >
                                            <span data-tippy-content="PPY">
                                                <img
                                                    width="20px"
                                                    src="/img/ppylogo.svg"
                                                    alt="ppy logo"
                                                />
                                            </span>
                                            <span
                                                class="text-green text-sm font-medium tracking-tight"
                                                >{feature.bid} PPY</span
                                            >
                                        </span>
                                    </div>
                                    <div class="mt-2 text-sm">
                                        <span class="dark:text-jacarta-300">Current Bid</span>
                                        <span class="dark:text-jacarta-100 text-jacarta-700"
                                            >{feature.current_bid} PPY</span
                                        >
                                    </div>

                                    <div class="mt-8 flex items-center justify-between">
                                        <button
                                            type="button"
                                            class="text-accent font-display text-sm font-semibold"
                                            data-bs-toggle="modal"
                                            data-bs-target="#placeBidModal"
                                        >
                                            Place bid
                                        </button>

                                        <div class="flex items-center space-x-1">
                                            <span
                                                class="js-likes relative cursor-pointer before:absolute before:h-4 before:w-4 before:bg-[url('../img/heart-fill.svg')] before:bg-cover before:bg-center before:bg-no-repeat before:opacity-0"
                                                data-tippy-content="Favorite"
                                            >
                                                <svg
                                                    xmlns="http://www.w3.org/2000/svg"
                                                    viewBox="0 0 24 24"
                                                    width="24"
                                                    height="24"
                                                    class="dark:fill-jacarta-200 fill-jacarta-500 hover:fill-red dark:hover:fill-red h-4 w-4"
                                                >
                                                    <path fill="none" d="M0 0H24V24H0z" />
                                                    <path
                                                        d="M12.001 4.529c2.349-2.109 5.979-2.039 8.242.228 2.262 2.268 2.34 5.88.236 8.236l-8.48 8.492-8.478-8.492c-2.104-2.356-2.025-5.974.236-8.236 2.265-2.264 5.888-2.34 8.244-.228zm6.826 1.641c-1.5-1.502-3.92-1.563-5.49-.153l-1.335 1.198-1.336-1.197c-1.575-1.412-3.99-1.35-5.494.154-1.49 1.49-1.565 3.875-.192 5.451L12 18.654l7.02-7.03c1.374-1.577 1.299-3.959-.193-5.454z"
                                                    />
                                                </svg>
                                            </span>
                                            <span class="dark:text-jacarta-200 text-sm"
                                                >{feature.likes}</span
                                            >
                                        </div>
                                    </div>
                                </div>
                            </article>
                        </div>
                    {/each}
                </div>
            </div>

            <!-- Slider Navigation -->
            <div
                class="group swiper-button-prev shadow-white-volume absolute top-1/2 -left-4 z-10 -mt-6 flex h-12 w-12 cursor-pointer items-center justify-center rounded-full bg-white p-3 text-base sm:-left-6"
            >
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    viewBox="0 0 24 24"
                    width="24"
                    height="24"
                    class="fill-jacarta-700 group-hover:fill-accent"
                >
                    <path fill="none" d="M0 0h24v24H0z" />
                    <path d="M10.828 12l4.95 4.95-1.414 1.414L8 12l6.364-6.364 1.414 1.414z" />
                </svg>
            </div>
            <div
                class="group swiper-button-next shadow-white-volume absolute top-1/2 -right-4 z-10 -mt-6 flex h-12 w-12 cursor-pointer items-center justify-center rounded-full bg-white p-3 text-base sm:-right-6"
            >
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    viewBox="0 0 24 24"
                    width="24"
                    height="24"
                    class="fill-jacarta-700 group-hover:fill-accent"
                >
                    <path fill="none" d="M0 0h24v24H0z" />
                    <path d="M13.172 12l-4.95-4.95 1.414-1.414L16 12l-6.364 6.364-1.414-1.414z" />
                </svg>
            </div>
        </div>
    </div>
</section>
